curl --request GET \
--url 'https://api.novita.ai/openapi/v1/user/quota/list?modal=llm"aType=RPM&productType=Public%20Endpoint"aObject=deepseek-v3' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"modal": "llm",
"quotaObject": "deepseek-v3",
"quotaType": "RPM",
"productType": "Public Endpoint",
"currentQuota": 60,
"defaultQuota": 60,
"adjustable": true,
"quotaItems": [
{
"tier": "T1",
"quota": 60
},
{
"tier": "T2",
"quota": 120
}
]
}
],
"total": 1
}
Quota
Query Quota List
GET
/
openapi
/
v1
/
user
/
quota
/
list
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/user/quota/list?modal=llm"aType=RPM&productType=Public%20Endpoint"aObject=deepseek-v3' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"modal": "llm",
"quotaObject": "deepseek-v3",
"quotaType": "RPM",
"productType": "Public Endpoint",
"currentQuota": 60,
"defaultQuota": 60,
"adjustable": true,
"quotaItems": [
{
"tier": "T1",
"quota": 60
},
{
"tier": "T2",
"quota": 120
}
]
}
],
"total": 1
}
Request Headers
string
requis
Enum:
application/jsonstring
requis
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Quota modal. Common values:
llm, image.string
Quota type. Common values:
RPM, TPM, IPM.string
Product type. Common values:
Public Endpoint.string
Quota object. For model scenarios, pass a model ID such as
deepseek-v3. The server supports fuzzy matching. If empty, all quotas visible to the current account are returned.Response Parameters
object[]
requis
Quota list.
Masquer properties
Masquer properties
string
requis
Quota modal.
string
requis
Quota object display name. For model scenarios, this is usually the model name or model ID.
string
requis
Quota type.
string
requis
Product type.
int32
requis
Current account quota limit.
int32
requis
Default quota limit.
bool
requis
Whether quota adjustment can be requested.
int32
requis
Number of returned quotas.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/user/quota/list?modal=llm"aType=RPM&productType=Public%20Endpoint"aObject=deepseek-v3' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"modal": "llm",
"quotaObject": "deepseek-v3",
"quotaType": "RPM",
"productType": "Public Endpoint",
"currentQuota": 60,
"defaultQuota": 60,
"adjustable": true,
"quotaItems": [
{
"tier": "T1",
"quota": 60
},
{
"tier": "T2",
"quota": 120
}
]
}
],
"total": 1
}
Dernière modification le 10 août 2026